import React, { PureComponent } from "react";
import { Text, StyleSheet } from "react-native";
import PropTypes from "prop-types";

import FontNormalize from "./FontNormalize";
import { fontFamily } from "./FontFamily";

export default class NormalizedText extends PureComponent {
  render = () => {
    const styles = StyleSheet.flatten(this.props.style);
    return (
      <Text
        {...this.props}
        style={[
          styles,
          styles &&
            styles.fontSize && { fontSize: FontNormalize(styles.fontSize) },
          fontFamily && { fontFamily: fontFamily }
        ]}
      >
        {this.props.children}
      </Text>
    );
  };
}

NormalizedText.defaultProps = {
  children: ""
};

NormalizedText.propTypes = {
  children: PropTypes.node,
  style: Text.propTypes.style
};
